Bug 526577 - Lots of PGRAPH_ERRORs
Summary: Lots of PGRAPH_ERRORs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: card_NV17
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-30 21:34 UTC by Orion Poplawski
Modified: 2018-04-11 11:50 UTC (History)
5 users (show)

Fixed In Version: 2.6.31.6-145.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-20 22:03:28 UTC


Attachments (Terms of Use)
dmesg (31.71 KB, text/plain)
2009-09-30 21:35 UTC, Orion Poplawski
no flags Details
dmesg (53.04 KB, text/plain)
2009-10-08 16:27 UTC, Orion Poplawski
no flags Details
dmesg (46.73 KB, text/plain)
2009-11-05 18:43 UTC, Orion Poplawski
no flags Details

Description Orion Poplawski 2009-09-30 21:34:31 UTC
Description of problem:

Seeing a fair amount of:

drm] nouveau 0000:01:00.0: PGRAPH_ERROR - nSource: DATA_ERROR, nStatus: BAD_ARGUMENT
[drm] nouveau 0000:01:00.0: PGRAPH_ERROR - Ch 1/0 Class 0x0039 Mthd 0x0184 Data 0x000011ce:0x000011ce
[drm] nouveau 0000:01:00.0: PGRAPH_ERROR - nSource: DATA_ERROR, nStatus: BAD_ARGUMENT
[drm] nouveau 0000:01:00.0: PGRAPH_ERROR - Ch 1/0 Class 0x0039 Mthd 0x0188 Data 0x000011cd:0x000011cd
[drm] nouveau 0000:01:00.0: PGRAPH_ERROR - nSource: ILLEGAL_MTHD, nStatus: BAD_ARGUMENT PROTECTION_FAULT
[drm] nouveau 0000:01:00.0: PGRAPH_ERROR - Ch 1/0 Class 0x0039 Mthd 0x030c Data 0x0034d000:0x01030000

with different addresses

01:00.0 VGA compatible controller: nVidia Corporation NV18GL [Quadro NVS 280 SD] (rev a2)

Version-Release number of selected component (if applicable):
xorg-x11-drv-nouveau-0.0.15-13.20090929gitdd8339f.fc12.i686
xorg-x11-server-Xorg-1.6.99.903-1.fc12.i686
kernel-PAE-2.6.31.1-56.fc12.i686


With and without nouveau.vbios=pramin.

Comment 1 Orion Poplawski 2009-09-30 21:35:24 UTC
Created attachment 363247 [details]
dmesg

This includes a hibernate/resume cycle.

Comment 2 Ben Skeggs 2009-10-08 03:18:46 UTC
Mmm, there's no evidence of any errors in the log you attached.  Do you have a log with the errors in it handy?

Comment 3 Orion Poplawski 2009-10-08 16:27:32 UTC
Created attachment 364146 [details]
dmesg

Whoops, lets try this one.  PGRAPHS errors appear after the resume.

Comment 4 Matěj Cepl 2009-11-05 17:17:18 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 5 Orion Poplawski 2009-11-05 18:43:19 UTC
Created attachment 367680 [details]
dmesg

Still seeing the errors on resume from hibernate.  Display is black but you can see and move the cursor.

Comment 6 Bug Zapper 2009-11-16 13:08:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Ben Skeggs 2009-11-19 04:06:21 UTC
May be fixed as of kernel-2.6.31.6.fc12 (http://koji.fedoraproject.org/koji/buildinfo?buildID=141911), are you able to test please!

Comment 8 Orion Poplawski 2009-11-19 21:34:35 UTC
Looks good to me.  No video corruption on resume and no errors.

Comment 9 Fedora Update System 2009-11-23 13:04:17 UTC
kernel-2.6.31.6-145.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/kernel-2.6.31.6-145.fc12

Comment 10 Fedora Update System 2009-12-01 04:43:11 UTC
kernel-2.6.31.6-145.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.